Copy PageCreate allowancepost https://api.isx-stage-westeurope.instellix.io/v2/contracts/{contractIdent}/allowancesCreate an allowance.Path ParamscontractIdentstringrequiredlength between 1 and 100[a-zA-Z0-9_.~-]{1,100}The ident of the contract. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.Body ParamsA request to create an option allowance of a contract for an option.applicabilitystring | nullenumdeprecatedDEPRECATED: Legacy applicability setting. The only supported value is NEXT_INVOICE, which means the allowance applies to the next billing period only. Use applicabilityDetails instead.NEXT_INVOICEAllowed:NEXT_INVOICEapplicabilityDetailsobject | nullInformation on how this option allowance should be applied to the optionapplicabilityDetails object | nulldescriptionstring | nullDescription. Size must be between 0 and 255.fixedAmountobject | nullAmount the referenced option will be reduced. Is considered net or gross depending on how the option price is configured.fixedAmount object | nullidentstring | null[a-zA-Z0-9_.~-]{1,100}Unique identifier of an option allowance. When not provided NBX will generate an identifier. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.namestring | nullName of the option allowance to be printed on a document or referenced as booking text. Size must be between 0 and 100.optionIdentstringrequiredlength ≥ 1Should reference a valid option for this contract. Must not be blank.percentagenumber | null1 to 100Option price will be reduced by the given percentage. Must be greater than 0. Must be less than or equal to 100.typestringenumDefaults to DISCOUNTIndicates the kind of an option allowance.DISCOUNTSINGLE_PURPOSE_VOUCHERAllowed:DISCOUNTSINGLE_PURPOSE_VOUCHERResponses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 5 months ago Query allowancesRetrieve allowanceDid this page help you?YesNo